import sys
import csv
import matplotlib.pyplot as plt

"""
Plot a set of x-y data in csv file
"""

# get the csv file name from comandline argument

argv = sys.argv
if len(argv) == 1:
    print("")
    print("Usage: python {} csv_file_name".format(argv[0]))
    print("")
    exit()

infile = argv[1]


def plot(x, y, xlabel = "x", ylabel = "y"):
    plt.plot(x, y, linestyle = 'none', marker = 'o')
    plt.xlabel(xlabel)
    plt.ylabel(ylabel)
    plt.tight_layout()

    plt.pause(0.1)
    print("Press ENTER to exit>>", end = '')
    input()

def read_csv(fname):
    x = []
    y = []
    with open(fname) as f:
        fin = csv.reader(f)
        xlabel, ylabel, = next(fin)
        print("x label: ", xlabel)
        print("y label: ", ylabel)
        for row in fin:
            try:
                x.append(float(row[0]))
                y.append(float(row[1]))
            except:
                print("Warning: Invalid float data [{}] or [{}]".format(row[0], row[1]))
                    
    return xlabel, ylabel, x, y

if __name__ == '__main__':
    xlabel, ylabel, x, y = read_csv(infile)
    plot(x, y, xlabel, ylabel)

